Bug 3658 - smbspool should return CUPS_BACKEND_AUTH_REQUIRED
smbspool should return CUPS_BACKEND_AUTH_REQUIRED
Status: RESOLVED WORKSFORME
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.9
All All
: P3 enhancement
: none
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 11:42 UTC by Christian Marg
Modified: 2009-04-24 06:37 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Marg 2006-04-04 11:42:12 UTC
When the Authentication with the SMB-Server fails, smbspool shouldn't fail with return code CUPS_BACKEND_FAILED but with CUPS_BACKEND_AUTH_REQUIRED.

This way CUPS would have a chance to ask the user for AUTH information and retry.

I need every CUPS user to authenticate himself to SMB printer queue because of windows based print accounting software - so the current way of defining a CUPS-SMB queue with fixed username wouldn't work. I filed a RFE with CUPS so that they could change the username/password on a per-job or a per-user base - they only need smbspool to tell them when user/password fails to authenticate...
Comment 1 Gerald (Jerry) Carter 2006-04-07 12:04:47 UTC
Jeremy, I'm handing off to you since I expect you will end up making
the necessary changes as part of the krb5 integration.
Comment 2 Björn Jacke 2009-04-20 03:53:14 UTC
Christian, is this still an issue for you or is it fiexed?

Do you also have a link to the request for enhancement @cups.org?
Comment 3 Christian Marg 2009-04-24 04:10:51 UTC
I didn't find my Request at CUPS, maybe it got lost somehow... Anyway, since I just inspected the problem for somebody else, I didn't follow the case anymore and nobody replied to me asking about the problem... So I'd think that this bug can be closed - maybe as "worksforme"?
Comment 4 Björn Jacke 2009-04-24 06:37:26 UTC
okay, if you see the problem reappear, please reopen the bug. Thanks!